{% extends "base.html" %}
{% load i18n %}
{% load crispy_forms_tags %}


{% block title %}{% trans 'Edit Event' %}{% endblock %}
{% block extra_head %}
{{ form.media }}
{% endblock %}

{% block content %}
<div class="container">
    <div class="row no-gutters card-row">
        <div class="col-12 col-sm-9 col-lg-6 mx-auto my-auto">
            <div class="card">
                <div class="card-header">
                    <h1 class="text-center">{% trans 'Edit Event' %}</h1>
                </div>
                <div class="card-body">
                    <form novalidate method="post">
                        {% csrf_token %}
                        {{ form|crispy }}
                        <div class="d-flex justify-content-between" style="flex-wrap: wrap;">
                            <div>
                                <a class="btn btn-secondary {% if not request.GET.next %}disabled{% endif %}" href="{{ request.GET.next }}">
                                    <i class="fas fa-arrow-left"></i>
                                </a>
                            </div>
                            <div>
                                {% block extra_form_buttons %}{% endblock extra_form_buttons %}
                                {% if event.subsequent %}
                                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#editModal"><i class="fas fa-check fa-fw mr-1"></i>{% trans "Submit" %}</button>
                                {% else %}
                                <button type="submit" class="btn btn-primary"><i class="fas fa-check fa-fw mr-1"></i>{% trans "Submit" %}</button>
                                {% endif %}
                            </div>
                        </div>
                        <div class="modal fade" id="editModal" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="editModalLabel">Edit recurring event</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <div class="custom-control custom-radio">
                                            <input type="radio" id="thisRadio" name="modalRadio" class="custom-control-input" value="1" checked>
                                            <label class="custom-control-label" for="thisRadio">This event</label>
                                        </div>
                                        <div class="custom-control custom-radio">
                                            <input type="radio" id="followingRadio" name="modalRadio" class="custom-control-input" value="2">
                                            <label class="custom-control-label" for="followingRadio">This and following events</label>
                                        </div>
                                        <div class="custom-control custom-radio">
                                            <input type="radio" id="allRadio" name="modalRadio" class="custom-control-input" value="3">
                                            <label class="custom-control-label" for="allRadio">All events</label>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="submit" class="btn btn-primary"><i class="fas fa-check fa-fw mr-1"></i>{% trans "Submit" %}</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
$('option').mousedown(function(e) {
    e.preventDefault();
    var originalScrollTop = $(this).parent().scrollTop();
    console.log(originalScrollTop);
    $(this).prop('selected', $(this).prop('selected') ? false : true);
    var self = this;
    $(this).parent().focus();
    setTimeout(function() {
        $(self).parent().scrollTop(originalScrollTop);
    }, 0);
    
    return false;
});
</script>
{% endblock %}